<template>
  <b-modal
    small
    center
    visible
    :loading="loading"
    :show-close="false"
    @close="$emit('close')"
  >
    <h2 class="text-center">Change status user</h2>
    <p class="text-md text-center mt-2x">Are your sure?</p>

    <b-button primary class="w-100p mt-6x" @click.prevent="$emit('close')"
      >Cancel</b-button
    >
    <b-button class="w-100p mt-4x" @click.prevent="handleChangeStatusUser"
      >Yes, do it!</b-button
    >
  </b-modal>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  name: 'ChangeStatusModal',
  props: {
    entity: {
      type: Object,
      default() {
        return {}
      },
    },
  },
  data() {
    return {
      loading: false,
    }
  },
  methods: {
    async handleChangeStatusUser() {
      this.loading = true

      if (this.entity.id) {
        await this.$services.law.changeUserStatus({
          id: this.entity.id || '',
          status: !this.entity.isActive,
        })
        this.$message('Change status user successfully!')

        this.loading = false
        this.$emit('submit')
      }
    },
  },
})
</script>
